﻿
a.skip_to_content {
    position: absolute !important;
    top: 20px;
    left: 20px;
    background: #444;
    color: #fff;
    padding: 10px;
    z-index: 500;
}

.dropdown-menu {
    min-width: 200px;
}

.navbar#navigation {
    margin-bottom: 0px;
    background-color: none;
    border-left: none;
    border-right: none;
    border-radius: 0px;
    border-top: 0;
    border-bottom: 0;
    position: relative;
    z-index: 10;
}

.page_home #navigation {
    margin-bottom: 0;
}

#header .navbar-header {
    float: none;
}

#header .navbar-toggle {
    display: block !important;
    margin: 0;
    border-radius: 0;
}

    #header .navbar-toggle .icon-bar {
        background-color: var(--blue-dark);
        width: 32px;
        height: 4px;
        border-radius: 50px;
        transition: background-color .3s ease;
    }

        #header .navbar-toggle .icon-bar + .icon-bar {
            margin-top: 5px;
        }

            #header .navbar-toggle .icon-bar + .icon-bar + .icon-bar {
                margin-top: 5px;
            }

#header.menu-open .navbar-toggle {
    background: var(--blue-light);
    border-radius: 10px;
}


.navbar#navigation .navbar-text {
    color: #fff;
    float: left;
}

.navbar#navigation .down_icon {
    float: right;
    margin-right: 10px;
}

    .navbar#navigation .down_icon .glyphicon {
        transition: all 0.5s;
        transform: rotate(180deg);
    }

.navbar#navigation .collapsed .down_icon .glyphicon {
    transform: rotate(0deg);
}

.navbar#navigation .navbar-toggle .icon-bar {
    background-color: #FFFFFF;
}


.navbar#navigation #navigation-content > ul > li > a {
    text-align: center;
    text-shadow: none;
    background-color: transparent;
    padding-left: 15px;
    padding-right: 15px;
}

.navbar a .glyphicon {
    font-size: 0.8em;
}

.navbar a .glyphicon-triangle-bottom,
.navbar a .glyphicon-menu-down {
    margin-top: 3px;
    margin-right: -10px;
    padding-left: 5px;
}

.navbar a .glyphicon-triangle-right,
.navbar a .glyphicon-chevron-right {
    position: absolute;
    right: 4.5px;
    top: 50%;
    margin-top: -5.5px;
}

.navbar#navigation #navigation-content li.dropdown.right-menu ul.dropdown-menu li.dropdown a .glyphicon-chevron-right {
    right: auto;
    left: 4.5px;
}

    .navbar#navigation #navigation-content li.dropdown.right-menu ul.dropdown-menu li.dropdown a .glyphicon-chevron-right:before {
        content: "\e079";
    }

/*--------------------------priond tier--------------------------*/

.navbar#navigation #navigation-content li.dropdown:hover ul.dropdown-menu,
.navbar#navigation #navigation-content li.dropdown.maintain_hover ul.dropdown-menu {
    display: block;
    -webkit-box-shadow: none;
    box-shadow: none;
    border: 0;
    border-radius: 0px;
}

.navbar#navigation #navigation-content ul.dropdown-menu > li > a {
    padding: 8px 15px;
    position: relative;
    color: #000 !important;
    white-space: normal;
}

    .navbar#navigation #navigation-content ul.dropdown-menu > li > a .glyphicon-triangle-bottom,
    .navbar#navigation #navigation-content ul.dropdown-menu > li > a .glyphicon-menu-down {
        display: none;
    }

/*--------------Hybrid menu------------------*/

.navbar#navigation #navigation-content ul.dropdown-menu.has_megamenu {
    min-height: 300px;
    border-radius: 0px;
    background: #efefef;
    border-top: 0;
    width: 215px;
}

.navbar#navigation #navigation-content ul.dropdown-menu {
    padding-top: 0;
    padding-bottom: 0;
}

    .navbar#navigation #navigation-content ul.dropdown-menu.has_megamenu li.dropdown.mega_dropdown {
        position: static;
    }

    .navbar#navigation #navigation-content ul.dropdown-menu.has_megamenu li.dropdown .hybrid_mega_dropdown {
        -webkit-box-shadow: none;
        box-shadow: none;
    }

    /*--------------------------Third tier--------------------------*/

    .navbar#navigation #navigation-content ul.dropdown-menu li.dropdown .sub-menu {
        left: 100%;
        position: absolute;
        top: 0;
        visibility: hidden;
        border: 0;
        margin-top: 0;
    }

.navbar#navigation #navigation-content li.dropdown.right-menu .sub-menu {
    left: auto;
    right: 100%;
}

.navbar#navigation #navigation-content li.dropdown.right-menu > ul {
    left: auto;
    right: 0;
}

.navbar#navigation #navigation-content ul.dropdown-menu > li.dropdown:hover > .sub-menu,
.navbar#navigation #navigation-content ul.dropdown-menu > li.dropdown.maintain_hover > .sub-menu {
    visibility: visible;
}

.navbar#navigation #navigation-content ul.dropdown-menu > li.dropdown.block_hover > .sub-menu {
    visibility: hidden;
}

/*--------------Hybrid menu------------------*/

.navbar#navigation #navigation-content > ul > li ul.dropdown-menu .hybrid_mega_dropdown hr {
    margin: 0;
}

.navbar#navigation #navigation-content > ul > li ul.dropdown-menu .hybrid_mega_dropdown {
    font-size: 0.9em;
}

    .navbar#navigation #navigation-content > ul > li ul.dropdown-menu .hybrid_mega_dropdown p {
        margin-top: 0;
        margin-bottom: 5px;
    }

    .navbar#navigation #navigation-content > ul > li ul.dropdown-menu .hybrid_mega_dropdown h2 {
        font-size: 1.8em;
        margin-top: 0;
        margin-bottom: 5px;
    }

.navbar#navigation #navigation-content > ul > li ul.dropdown-menu > li:first-child {
    border-top: 0;
}

ul.dropdown-menu li.dropdown:first-child .sub-menu.hybrid_mega_dropdown {
    visibility: visible;
}

.navbar#navigation #navigation-content ul.dropdown-menu li.dropdown .sub-menu.hybrid_mega_dropdown {
    position: absolute;
    display: block;
    left: 100%;
    top: 0px;
    margin-top: 0;
    padding-left: 0;
    padding-right: 0;
    padding-top: 10px;
    padding-bottom: 0;
    min-height: 300px;
    height: 100%;
    width: 700px;
    border-radius: 0;
    border: 0;
}

.navbar#navigation #navigation-content li.dropdown.right-menu ul.dropdown-menu li.dropdown .sub-menu.hybrid_mega_dropdown {
    left: auto;
    right: 100%;
}

.navbar#navigation #navigation-content li.dropdown.right-menu ul.dropdown-menu {
    text-align: right;
}

.hybrid_mega_dropdown .hybrid_title {
    padding-left: 15px;
    padding-right: 15px;
}

.hasImage .hybrid_title {
    padding-right: 280px;
}

.hasImage .hybrid_links {
    padding-right: 300px;
}

.hybrid_mega_dropdown .hybrid_links ul.list-unstyled li {
    margin: 8px 0 8px 0;
}

    .hybrid_mega_dropdown .hybrid_links ul.list-unstyled li a {
        margin: 10px 0;
        color: inherit;
    }

.hybrid_mega_dropdown .hybrid_image,
.hybrid_mega_dropdown .hybrid_youtube {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    border-bottom-right-radius: 4px;
    overflow: hidden;
}

/*--------------------------Fourth tier--------------------------*/

.navbar#navigation #navigation-content ul.dropdown-menu > li.dropdown > .sub_menu > li.dropdown:hover > .sub-menu,
.navbar#navigation #navigation-content ul.dropdown-menu > li.dropdown > .sub_menu > li.dropdown.maintain_hover > .sub-menu {
    visibility: visible;
}

.navbar#navigation #navigation-content ul.dropdown-menu > li.dropdown > .sub_menu > li.dropdown.block_hover > .sub-menu {
    visibility: hidden;
}

/*--------------------------Sidebar------------------------*/


.sidebar_menu h4 {
    line-height: 1.15em;
}

    .sidebar_menu h4 a {
        font-weight: 400;
        color: var(--blue-dark);
    }


        .sidebar_menu h4 a:hover {
            color: var(--pink);
        }

.side_menu {
    margin-left: 10px;
}

    .side_menu,
    .side_menu ul {
        list-style-type: none;
        padding: 0;
        margin: 0;
    }

        .side_menu ul {
            /*display: none;*/
        }

        .side_menu li:first-child {
            /*border-top: 0;*/
        }

        .side_menu li {
        }
            /*border-top: 1px solid rgba(0,0,0,0.2);*/


            .side_menu li a,
            .side_menu li span {
                display: inline-block;
                padding: 6px 0;
                font-weight: 400;
                text-decoration: none;
                color: var(--blue-darker);
            }

                .side_menu li a:hover {
                    filter: none;
                    color: var(--pink);
                }

            .side_menu li span {
                padding: 6px 0;
            }


            .side_menu li .bi {
                margin-left: 10px;
            }



            .side_menu li .bi {
                cursor: pointer;
            }

                .side_menu li .bi:hover {
                    color: var(--pink);
                }

            .side_menu li.active > a,
            .side_menu li.active > span > a {
                color: var(--pink);
            }

        .side_menu ul > li a {
            white-space: normal;
        }

        .side_menu ul {
            border-left: 2px solid var(--blue-light);
            margin-top: 3px;
            margin-bottom: 10px;
        }

            .side_menu ul li {
                /* border-top: 0 !important;*/
            }

                .side_menu ul li::before {
                    content: none !important;
                }

                .side_menu ul li a,
                .side_menu ul li span {
                    margin: 0;
                    font-size: 0.95em;
                    padding: 3px 10px 3px 17px;
                }

            .side_menu ul ul li a {
                padding-left: 30px;
            }

            .side_menu ul ul ul li a {
                padding-left: 40px;
            }

            .side_menu ul ul ul ul li a {
                padding-left: 50px;
            }

            .side_menu ul ul ul ul ul li a {
                padding-left: 60px;
            }

            .side_menu ul ul ul ul ul ul li a {
                padding-left: 70px;
            }


        .side_menu li.active > ul {
        }

        .side_menu li.dropdown > ul {
            max-height: 0;
            opacity: 0;
            overflow: hidden;
            margin: 0 !important;
            transition: all .3s ease;
        }

        .side_menu li.dropdown.menu-open > ul {
            max-height: 500px;
            opacity: 1;
            margin: 10px 0 !important;
        }

        .side_menu li.dropdown.menu-open .bi:before {
            transform: rotateX(180deg);
        }
/*--------------------------Admin--------------------------*/
#admin_nav {
    position: fixed;
    z-index: 2000;
    top: 0px;
    left: 0px;
    padding: 6px 0px;
    width: 100%;
    background-color: #000000;
}

    #admin_nav + header {
        margin-top: 54px;
    }

    #admin_nav .nav-pills,
    #admin_nav .btn-group {
        float: left;
    }

    #admin_nav .btn-group {
        margin-top: 3px;
        margin-left: 14px;
    }

    #admin_nav .message {
        display: block;
        float: left;
        margin-top: 3px;
        margin-left: 7px;
        color: #FFFFFF;
        height: 34px;
        line-height: 34px;
    }

/*--------------------------Lower Nav--------------------------*/

.lower_nav {
    margin-top: 50px;
    margin-bottom: 30px;
    padding: 15px;
    background-color: #EBEBEB;
}

    .lower_nav ul {
        margin: 0px;
        padding: 0px;
        list-style-type: none;
    }

        .lower_nav ul li {
            margin: 3px 0px 0px 0px;
            padding: 0px;
        }

            .lower_nav ul li:first-child {
                margin-top: 0px;
            }

            .lower_nav ul li.active > a {
                cursor: default;
                color: #000000;
                text-decoration: none;
            }

/*#region -- Overlay*/

/*-------------------------- Overlay Menu --------------------------*/

#menuOverlay {
    position: fixed;
    height: 100vh;
    top: 0;
    left: 0;
    right: 0;
    background-color: rgba(0,0,26,0.85);
    opacity: 0;
    z-index: 1;
}

.nav_overlay {
    display: none;
}


    .nav_overlay #navigation {
        background: #fff;
        width: 100%;
    }

    .nav_overlay > .container {
        padding: 0;
    }

    .nav_overlay #navigation-content {
        border: none;
        box-shadow: none;
        width: 100%;
        border-top: 1px solid #dbdbdb;
        margin: 20px 0 10px;
    }

        .nav_overlay #navigation-content::before,
        .nav_overlay #navigation-content::after {
            content: none;
        }


    .nav_overlay #navigation #navigation-content .overlay_menu {
        display: flex;
        justify-content: space-between;
        width: 100%;
        float: none;
        margin-top: 10px;
    }

        .nav_overlay #navigation #navigation-content .overlay_menu::before,
        .nav_overlay #navigation #navigation-content .overlay_menu::after {
            content: none;
        }

        .nav_overlay #navigation #navigation-content .overlay_menu li {
            position: relative;
            padding: 0;
        }

            .nav_overlay #navigation #navigation-content .overlay_menu li.break {
                flex-basis: 100%;
            }

            .nav_overlay #navigation #navigation-content .overlay_menu li > a {
                text-align: left;
                color: var(--black);
                padding: 10px 0;
                font-weight: 400;
            }

            .nav_overlay #navigation #navigation-content .overlay_menu li.active > a {
                background: none;
            }

            .nav_overlay #navigation #navigation-content .overlay_menu li > a:hover,
            .nav_overlay #navigation #navigation-content .overlay_menu li.maintain_hover > a {
                background: none;
                color: var(--blue);
            }

    /* -- Teir 1 Only --*/

    .nav_overlay #navigation #navigation-content > .overlay_menu > li {
        flex-grow: 1;
        display: block;
    }

        .nav_overlay #navigation #navigation-content > .overlay_menu > li.menu_item_break {
            padding: 7px 0;
            color: #dbdbdb;
        }

            .nav_overlay #navigation #navigation-content > .overlay_menu > li.menu_item_break:last-of-type {
                display: none;
            }

        .nav_overlay #navigation #navigation-content > .overlay_menu > li > a {
            font-size: 1em;
            font-weight: 600;
            color: var(--blue-darker);
            font-family: var(--heading-font);
            width: 100%;
        }

    /* -- Teir 2 --*/

    .nav_overlay #navigation #navigation-content .overlay_menu > .overlay_dropdown {
    }

    .nav_overlay #navigation #navigation-content .overlay_menu .overlay_dropdown {
        position: relative;
        top: 0;
        max-width: 0;
        min-width: auto;
        border: none;
        box-shadow: none;
        background: none;
    }

    .nav_overlay #navigation #navigation-content > .overlay_menu > li:hover + .overlay_dropdown,
    .nav_overlay #navigation #navigation-content > .overlay_menu > .overlay_dropdown:hover {
        /*max-height: var(--menu-height);*/
        display: block;
        opacity: 1;
        overflow-x: visible;
        height: fit-content;
        max-height: 100vh;
    }

    .nav_overlay #navigation #navigation-content .overlay_menu .dropdown.maintain_hover > .overlay_dropdown {
        opacity: 1;
        display: block;
        max-height: var(--menu-height);
    }

    /*-- Tier 3 --*/
    .nav_overlay #navigation #navigation-content .overlay_menu > .overlay_dropdown > ul {
        padding-left: 20px !important;
        border-left: 2px solid var(--blue);
    }

    .nav_overlay #navigation #navigation-content .overlay_menu .overlay_dropdown > ul {
        padding-left: 0;
        padding-right: 0;
        width: 300px;
    }

        .nav_overlay #navigation #navigation-content .overlay_menu .overlay_dropdown > ul > li {
            padding: 4px 0;
        }

            .nav_overlay #navigation #navigation-content .overlay_menu .overlay_dropdown > ul > li > a {
                padding: 10px 0px;
                font-size: 1em;
            }

            .nav_overlay #navigation #navigation-content .overlay_menu .overlay_dropdown > ul > li > .bi {
                cursor: pointer;
            }

                .nav_overlay #navigation #navigation-content .overlay_menu .overlay_dropdown > ul > li > .bi:hover {
                    color: var(--pink);
                }

        .nav_overlay #navigation #navigation-content .overlay_menu .overlay_dropdown > ul .overlay_dropdown {
        }

            .nav_overlay #navigation #navigation-content .overlay_menu .overlay_dropdown > ul .overlay_dropdown > ul {
                max-height: 0;
                overflow: hidden;
                padding-left: 15px;
                border-left: 1px solid var(--blue);
                opacity: 0;
                transition: all .3s ease;
            }

    .nav_overlay #navigation #navigation-content .overlay_menu li.dropdown > a.menu-open > .bi-chevron-down::before {
        transform: rotate(180deg);
    }

    .nav_overlay #navigation #navigation-content .overlay_menu .overlay_dropdown > ul li.dropdown .overlay_dropdown.menu-open > ul,
    .nav_overlay #navigation #navigation-content .overlay_menu .overlay_dropdown > ul li.dropdown:hover .overlay_dropdown > ul {
        max-height: 150px;
        opacity: 1;
        margin: 8px 0;
    }

    .nav_overlay #navigation #navigation-content .overlay_menu .overlay_dropdown > ul > li.menu-open > .bi::before {
        content: "\f286";
    }

    .nav_overlay #navigation #navigation-content .overlay_menu .overlay_dropdown > ul > li.menu-open + .sub_menu {
        margin: 10px 0;
        opacity: 1;
        max-height: var(--menu-height);
    }

    .nav_overlay #navigation #navigation-content .overlay_menu .overlay_dropdown > ul > li.menu-open.submenu-open + .sub_menu {
        max-height: none;
    }

    /*-- Tier 4 --*/

    .nav_overlay #navigation #navigation-content .overlay_menu .overlay_dropdown > ul .overlay_dropdown ul > li:first-of-type {
        padding-top: 0;
    }

    .nav_overlay #navigation #navigation-content .overlay_menu .overlay_dropdown > ul .overlay_dropdown ul > li:last-of-type {
        padding-bottom: 0;
    }


/*#endregion*/
